Subject: Re: [PATCH] route: fix ICMP redirect validation

From: Flavio Leitner <[email-masked]>
Date: Fri, 21 Oct 2011 16:13:24 -0200

On Thu, 20 Oct 2011 16:19:29 -0400 (EDT)
David Miller <[email-masked]> wrote:

> From: Flavio Leitner <[email-masked]>
> Date: Thu, 20 Oct 2011 15:47:02 -0200
> 
> > I was reviewing this again and instead of doing the above, it would
> > be better to use rt_bind_peer() to update rt->peer as well.
> > 
> >                         if (!rt->peer)
> >                                 rt_bind_peer(rt, rt->rt_dst, 1);
> > 
> >                         peer = rt->peer;
> >                         if (peer) {
> >                                 peer->redirect_learned.a4 = new_gw;
> >                                 atomic_inc(&__rt_peer_genid);
> >                         }
> > 
> > 
> > but I am not sure if I understood you completely when you say
> > to do such that only an inetpeer cache probe is necessary.
> 
> If you have the route entry available already and you're doing the
> inetpeer lookup anyways, you might as well use rt_bind_peer() since
> all of the expensive work has to be done anyways.
> 
> So yes, using rt_bind_peer() would be the best thing to do here.
>

just posted patch v3. iirc, you prefer to receive patches as new
posts rather than replies to old threads.
"Subject: [PATCH net-next v3] route: fix ICMP redirect validation"

thanks again,
fbl